org.apache.jmeter.gui.tree

## Class JMeterTreeListener

- java.lang.Object
- - org.apache.jmeter.gui.tree.JMeterTreeListener

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.awt.event.MouseListener, java.util.EventListener, javax.swing.event.TreeSelectionListener

      public class JMeterTreeListener
      extends java.lang.Object
      implements javax.swing.event.TreeSelectionListener, java.awt.event.MouseListener, java.awt.event.KeyListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterTreeListener()` Constructor for the `JMeterTreeListener` object
    `JMeterTreeListener(JMeterTreeModel model)` Constructor for the JMeterTreeListener object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMeterTreeNode` | `getCurrentNode()` Gets the CurrentNode attribute of the JMeterTreeListener object.
    `javax.swing.JTree` | `getJTree()` Gets the JTree attribute of the JMeterTreeListener object.
    `JMeterTreeNode[]` | `getSelectedNodes()`
    `void` | `keyPressed(java.awt.event.KeyEvent e)`
    `void` | `keyReleased(java.awt.event.KeyEvent e)`
    `void` | `keyTyped(java.awt.event.KeyEvent e)`
    `void` | `mouseClicked(java.awt.event.MouseEvent ev)`
    `void` | `mouseEntered(java.awt.event.MouseEvent e)`
    `void` | `mouseExited(java.awt.event.MouseEvent ev)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `javax.swing.tree.TreePath` | `removedSelectedNode()`
    `void` | `setActionHandler(java.awt.event.ActionListener ah)` Sets the ActionHandler attribute of the JMeterTreeListener object.
    `void` | `setJTree(javax.swing.JTree tree)` Sets the JTree attribute of the JMeterTreeListener object.
    `void` | `setModel(JMeterTreeModel m)` Set the `JMeterTreeModel` for this listener
    `void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMeterTreeListener

          public JMeterTreeListener(JMeterTreeModel model)

      Constructor for the JMeterTreeListener object.
      Parameters:
        `model` - The `JMeterTreeModel` for this listener

    - #### JMeterTreeListener

          public JMeterTreeListener()

      Constructor for the `JMeterTreeListener` object

  - ### Method Detail

    - #### setModel

          public void setModel(JMeterTreeModel m)

      Set the `JMeterTreeModel` for this listener
      Parameters:
        `m` - The `JMeterTreeModel` to be used

    - #### setActionHandler

          public void setActionHandler(java.awt.event.ActionListener ah)

      Sets the ActionHandler attribute of the JMeterTreeListener object.
      Parameters:
        `ah` - the new ActionHandler value

    - #### setJTree

          public void setJTree(javax.swing.JTree tree)

      Sets the JTree attribute of the JMeterTreeListener object.
      Parameters:
        `tree` - the new JTree value

    - #### getJTree

          public javax.swing.JTree getJTree()

      Gets the JTree attribute of the JMeterTreeListener object.
      Returns:
        tree the current JTree value.

    - #### getCurrentNode

          public JMeterTreeNode getCurrentNode()

      Gets the CurrentNode attribute of the JMeterTreeListener object.
      Returns:
        the CurrentNode value

    - #### getSelectedNodes

          public JMeterTreeNode[] getSelectedNodes()

    - #### removedSelectedNode

          public javax.swing.tree.TreePath removedSelectedNode()

    - #### valueChanged

          public void valueChanged(javax.swing.event.TreeSelectionEvent e)

      Specified by:
        `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent ev)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent ev)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent e)

      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`

    - #### keyReleased

          public void keyReleased(java.awt.event.KeyEvent e)

      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`

    - #### keyTyped

          public void keyTyped(java.awt.event.KeyEvent e)

      Specified by:
        `keyTyped` in interface `java.awt.event.KeyListener`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.